package info.jbcs.minecraft.chisel;

import net.minecraft.client.renderer.texture.IconRegister;
import net.minecraft.entity.player.EntityPlayer;
import net.minecraft.item.Item;
import net.minecraft.item.ItemStack;
import net.minecraft.world.World;

public class ItemChisel extends Item {
	public ItemChisel(int id) {
		super(id);
		setUnlocalizedName(getClass().getName());

		maxStackSize = 1;
		setMaxDamage(10);
	}

	@Override
	public ItemStack onItemRightClick(ItemStack itemstack, World world, EntityPlayer entityplayer) {
		entityplayer.openGui(Chisel.instance, 0, world, 0, 0, 0);

		return itemstack;
	}

	@Override
	public void updateIcons(IconRegister register) {
		this.iconIndex = register.registerIcon("Chisel:chisel");
	}
}
